Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.api.dom
Class BXText

    java.lang.Object
      org.basex.api.dom.BXNode
          org.basex.api.dom.BXChar
              org.basex.api.dom.BXText

All Implemented Interfaces:
  org.w3c.dom.CharacterData, org.w3c.dom.Node, org.w3c.dom.Text

Direct Known Subclasses:
  BXCData

    public class BXText

extends BXChar
implements org.w3c.dom.Text

DOM - Text Implementation.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`BXText(Nod n)` Constructor.

Method Summary
`java.lang.String` | `getWholeText()`
`boolean` | `isElementContentWhitespace()`
`org.w3c.dom.Text` | `replaceWholeText(java.lang.String content)`
`org.w3c.dom.Text` | `splitText(int off)`

Methods inherited from class org.basex.api.dom.BXChar
`appendData, deleteData, getData, getLength, getNodeValue, insertData, replaceData, setData, substringData`

Methods inherited from class org.basex.api.dom.BXNode
`appendChild, cloneNode, compareDocumentPosition, error, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNod, getNodeName, getNodeType, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.CharacterData
`appendData, deleteData, getData, getLength, insertData, replaceData, setData, substringData`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### BXText

    public BXText(Nod n)

  Constructor.

  Parameters:
    `n` - node reference

Method Detail

### getWholeText

    public java.lang.String getWholeText()

  Specified by:
    `getWholeText` in interface `org.w3c.dom.Text`

### isElementContentWhitespace

    public boolean isElementContentWhitespace()

  Specified by:
    `isElementContentWhitespace` in interface `org.w3c.dom.Text`

### replaceWholeText

    public org.w3c.dom.Text replaceWholeText(java.lang.String content)

  Specified by:
    `replaceWholeText` in interface `org.w3c.dom.Text`

### splitText

    public org.w3c.dom.Text splitText(int off)

  Specified by:
    `splitText` in interface `org.w3c.dom.Text`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD